Page MenuHomePhabricator

Mood messages ("happy" etc) need gender support
Closed, ResolvedPublic

Description

The messages "happy", "sad" and "confused" need GENDER support. I am quite sure it is needed in French, and probably many more languages.

Thanks.


Version: unspecified
Severity: minor

Details

Reference
bz30071

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:52 PM
bzimport set Reference to bz30071.
SPQRobin created this task.Jul 26 2011, 3:45 PM

To be clear, the "moodbar-type-*-title" messages (used in the popup) depend on the gender of the current user, while the "moodbar-type-*" messages (used on Special:MoodBar) depend on the user of that entry.

This is gonna be slightly tricky given that we don't have {{GENDER}} on the client side yet, so we'd have to export the messages as variables in MakeGlobalVariablesScript I guess.

danny.leinad wrote:

(In reply to comment #0)

The messages "happy", "sad" and "confused" need GENDER support. I am quite sure
it is needed in French, and probably many more languages.

Also GENDER support is needed in Polish and other Slavic languages.

Gerard.meijssen wrote:

Hebrew, Arabic... it is a long list.. A user interface that does not support gender gets unnatural, stilted language and the user experience sucks.
Thanks,

GerardM
Jorm added a comment.Oct 28 2011, 6:25 PM

I'm slightly confused about this bug because I'm not sure what the expected user experience is.

When users select a mood, there are two ways that it is viewed:

a) By the person who set the mood, and
b) By any other user of the wiki (through the Feedback Dashboard)

I am *adamantly* opposed to revealing user gender through the Feedback Dashboard. So if we're talking about displaying gender there, this will be a WONTFIX. User privacy is of absolute paramount.

If we're talking about setting gender according to the person *viewing* the lists (so all comments by all users appear with male gender to male readers, and vice versa for female), I'm not sure how this makes the experience any more or less weird.

What makes you think it violates user privacy? This is what the gender feature in MediaWiki is for.

Jorm added a comment.Oct 28 2011, 6:35 PM

This is not just about MoodBar; this is also about the Feedback Dashboard (http://en.wikipedia.org/wiki/Special:FeedbackDashboard). The moods are not private only to the person submitting them; they are displayed to the public.

The gender information is already publicly visible in other parts of the software (logs etc) so privacy is not an issue here.

danny.leinad wrote:

(In reply to comment #7)

This is not just about MoodBar; this is also about the Feedback Dashboard
(http://en.wikipedia.org/wiki/Special:FeedbackDashboard). The moods are not
private only to the person submitting them; they are displayed to the public.

Make a note that in preferences when user set gender, there is information:

"Optional: used for gender-correct addressing by the software. This information will be public."

Currently, for example, when Polish user is asked by MoodBar, interface is addressed only for man, and therefore woman are discriminated.

Also publicly visible gender on Feedback Dashboard is not a problem, since MW1.18 user namespace can be displayed depending on gender, so dashboard just needs be compatible with other features.

(In reply to comment #7)

This is not just about MoodBar; this is also about the Feedback Dashboard
(http://en.wikipedia.org/wiki/Special:FeedbackDashboard). The moods are not
private only to the person submitting them; they are displayed to the public.

That's OK, though, because user's genders are public too.

Also, in the interface where the user SUBMITS the mood, genderization needs to happen too and doesn't reveal the user's gender to anyone else (if you even consider that a problem). Although that's currently hard cause we don't have {{GENDER}} in JS.

I fixed the messages used on Special:MoodBar in r102894, but the biggest issue remains the one displayed to the user (via JavaScript unfortunately).

Added gender support for messages in javascript side in gerrit I336e3228

Change-Id: I336e3228227ab26cbd9f135dda1cef25fde871f6

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 15 2017, 8:09 PM